####
# NSHMs to use for unit tests and for deployments.
#
# Example with mixed deployment:
#
# repo: 'nshm-conus'
# tag: '6.1.0'
# year: 2023
# deployment:
#   baseHref: '/ws/nshmp/conus-2023/dynamic'
#   environments:
#     development:
#       type: 'LAMBDA'
#     staging:
#       type: 'LAMBDA'
#     production:
#       type: 'EC2'
#       cpu: 8
#       memory: 32
#       min: 1
#       max: 3
#   label: '2023 Conterminous U.S. Dynamic Services'
#   model: 'CONUS_2023'
#   test:
#     site:
#       latitude: 37.75
#       longitude: -122.4
#     treeId: 3199
####

nshms:
  # Alaska 2007 NSHM
  -
    repo: 'nshm-alaska'
    tag: '2.2.3'
    year: 2007
    deployment:
      baseHref: '/ws/nshmp/alaska-2007/dynamic'
      environments:
        development:
          type: 'LAMBDA'
        staging:
          type: 'LAMBDA'
        # production:
        #   type: 'LAMBDA'
      label: '2007 Alaska Dynamic Services'
      model: 'ALASKA_2007'
      test:
        site:
          latitude: 61.2
          longitude: -149
        treeId: 4080

  # Alaska 2023 NSHM
  -
    repo: 'nshm-alaska'
    tag: '3.0.0-rc-1'
    year: 2023
    deployment:
      baseHref: '/ws/nshmp/alaska-2023/dynamic'
      environments:
        development:
          type: 'LAMBDA'
        staging:
          type: 'LAMBDA'
        production:
          type: 'LAMBDA'
      label: '2023 Alaska Dynamic Services'
      model: 'ALASKA_2023'
      test:
        site:
          latitude: 61.2
          longitude: -149
        treeId: 4000

  # CONUS 2018 NSHM
  -
    repo: 'nshm-conus'
    tag: '5.2.3'
    year: 2018
    deployment:
      baseHref: '/ws/nshmp/conus-2018/dynamic'
      environments:
        development:
          type: 'LAMBDA'
        staging:
          type: 'LAMBDA'
        production:
          type: 'LAMBDA'
      label: '2018 Conterminous U.S. Dynamic Services'
      model: 'CONUS_2018'
      test:
        site:
          latitude: 37.75
          longitude: -122.4
        treeId: 2000

  # CONUS 2023 NSHM
  -
    repo: 'nshm-conus'
    tag: '6.1.0'
    year: 2023
    deployment:
      baseHref: '/ws/nshmp/conus-2023/dynamic'
      environments:
        development:
          type: 'LAMBDA'
        staging:
          type: 'LAMBDA'
        production:
          type: 'LAMBDA'
      label: '2023 Conterminous U.S. Dynamic Services'
      model: 'CONUS_2023'
      test:
        site:
          latitude: 37.75
          longitude: -122.4
        treeId: 3199

  # Hawaii 2021 NSHM
  -
    repo: 'nshm-hawaii'
    tag: '2.0.2'
    year: 2021
    deployment:
      baseHref: '/ws/nshmp/hawaii-2021/dynamic'
      environments:
        development:
          type: 'LAMBDA'
        staging:
          type: 'LAMBDA'
        production:
          type: 'LAMBDA'
      label: '2021 Hawaii Dynamic Services'
      model: 'HAWAII_2021'
      test:
        site:
          latitude: 21.3
          longitude: -157.86
        treeId: 5126

  # PRVI 2025 NSHM
  -
    repo: 'nshm-prvi'
    tag: '2.a.1'
    year: 2025
    deployment:
      baseHref: '/ws/nshmp/prvi-2025/dynamic'
      environments:
        development:
          type: 'LAMBDA'
        staging:
          type: 'LAMBDA'
       # production:
       #   type: 'LAMBDA'
      label: '2025 PRVI Dynamic Services'
      model: 'PRVI_2025'
      test:
        site:
          latitude: 18.47
          longitude: -66.12
        treeId: 7400
